
// ****************************************************************************
// File: IDA_ExtraPass_PlugIn.cpp
// Desc: IDA Pro plug in that does an extra pass to fix unresolved code
//
// ****************************************************************************
#include "stdafx.h"


// === Function Prototypes ===
int IDAP_init();
void IDAP_term();
void IDAP_run(int arg);


// === Data ===
char IDAP_comment[] = "ExtraPass: Does an extra pass on Win32 code sections to fix unresolved code.";
char IDAP_help[] 	= "ExtraPass: Point to the top of the \".text\" code segment\nThen press the hot key to activate.";
char IDAP_name[] 	= "ExtraPass";
char IDAP_hotkey[] 	= "Alt-4";

// The all-important exported PLUGIN object
ALIGN(32) extern "C" plugin_t PLUGIN =
{
	IDP_INTERFACE_VERSION,	// IDA version plug-in is written for
	0,		                // Flags (see below)
	IDAP_init,	            // Initialization function
	IDAP_term,	            // Clean-up function
	IDAP_run,	            // Main plug-in body
	IDAP_comment,	        // Comment - unused
	IDAP_help,	            // As above - unused
	IDAP_name,	            // Plug-in name shown in Edit->Plugins menu
	IDAP_hotkey	            // Hot key to run the plug-in
};


// Do checks here to ensure your plug-in is being used within
// an environment it was written for. Return PLUGIN_SKIP if the 	
// checks fail, otherwise return PLUGIN_KEEP.
int IDAP_init()
{ 
   
	return(PLUGIN_OK);
}

// Stuff to do when exiting, generally you'd put any sort
// of clean-up jobs here.
void IDAP_term()
{

}


// The plug in can be passed an integer argument from the plugins.cfg
// file. This can be useful when you want the one plug-in to do
// something different depending on the hot-key pressed or menu
// item selected.
ALIGN(32) void IDAP_run(int arg)
{
	msg("Hello world!");


}



